Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.gotoandplay.smartfoxserver.extensions.examples
Class PixelGame

    java.lang.Object
      it.gotoandplay.smartfoxserver.extensions.AbstractExtension
          it.gotoandplay.smartfoxserver.extensions.examples.PixelGame

All Implemented Interfaces:
  it.gotoandplay.smartfoxserver.events.IEventListener, it.gotoandplay.smartfoxserver.extensions.ISmartFoxExtension

    public class PixelGame

extends AbstractExtension

PixelGame -- SmartFoxServer example Extension version 1.0.0

Author:
  Marco Lapi
  (c) 2005 gotoAndPlay() -- www.gotoandplay.it

Field Summary

Fields inherited from class it.gotoandplay.smartfoxserver.extensions.AbstractExtension
`adminExtension`

Constructor Summary
`PixelGame()`

Method Summary
`void` | `handleInternalEvent(InternalEventObject ieo)` Handle internal events
`void` | `handleRequest(java.lang.String cmd, ActionscriptObject ao, User u, int fromRoom)` This is not used.
`void` | `handleRequest(java.lang.String cmd, java.lang.String[] params, User u, int fromRoom)` Hanlde client requests in String format
`void` | `init()` Extension initialization

Methods inherited from class it.gotoandplay.smartfoxserver.extensions.AbstractExtension
`destroy, getOwnerRoom, getOwnerZone, handleInternalRequest, handleRequest, isActive, loadConfig, registerForEvents, sendResponse, sendResponse, sendResponse, sendResponse, setActive, setOwner, trace, unRegister`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PixelGame

    public PixelGame()

Method Detail

### init

    public void init()

  Extension initialization

  Specified by:
    `init` in interface `it.gotoandplay.smartfoxserver.extensions.ISmartFoxExtension`
  Overrides:
    `init` in class `AbstractExtension`

### handleRequest

    public void handleRequest(java.lang.String cmd,
                              ActionscriptObject ao,
                              User u,
                              int fromRoom)

  This is not used. The client will send and receive data from the extension in String format, to allow better bandwidth usage.

### handleInternalEvent

    public void handleInternalEvent(InternalEventObject ieo)

  Handle internal events

### handleRequest

    public void handleRequest(java.lang.String cmd,
                              java.lang.String[] params,
                              User u,
                              int fromRoom)

  Hanlde client requests in String format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD